Bug 2126722 - Broken audio on F36 and F37 after latest updates, pipewire reports errors
Summary: Broken audio on F36 and F37 after latest updates, pipewire reports errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 36
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-14 10:37 UTC by Miroslav Lakota
Modified: 2022-09-18 00:18 UTC (History)
7 users (show)

Fixed In Version: pipewire-0.3.58-1.fc36 pipewire-0.3.58-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-15 20:11:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Miroslav Lakota 2022-09-14 10:37:56 UTC
Description of problem:
After a recent update to F36 (~3 days ago) the audio on my laptop started breaking if I opened sound settings before playing any sounds. The error disappeared after upgrade to F37 but reappeared once all packages were upgraded to the lasted version.

I attempted to clean install F37 and ended up with the same result - after install everything was fine, after full upgrade the error started appearing.

Version-Release number of selected component (if applicable):
I tested the error and confirmed it with several kernels (all the kernels tested):
5.19.8
5.19.7
5.19.2

pipewire version:
Compiled with libpipewire 0.3.57
Linked with libpipewire 0.3.57

How reproducible:
It does not work with every device. My laptop with a Skylake CPU running F37 does not suffer from this issue. Maybe it is purely Alder Lake related?

Steps to Reproduce:
1.Reboot
2.Login
3.Go straight to Sound settings and play a test sound from one of the speakers

Actual results:
There is no sound

Expected results:
Sound should be playing

Additional info:
Opening of the Sound settings can break the Audio also after other sounds have stopped playing.

Laptop: Inspiron 16 Plus 7620 
DE: GNOME 43.rc 
CPU: 12th Gen Intel i7-12700H

systemctl --user status pipewire.service
Sep 14 12:11:07 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe
Sep 14 12:11:07 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe
Sep 14 12:11:07 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe
Sep 14 12:11:07 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe
Sep 14 12:11:07 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe

systemctl --user status wireplumber
Sep 14 12:10:22 fedora systemd[2005]: Started wireplumber.service - Multimedia Service Session Manager.
Sep 14 12:10:22 fedora wireplumber[2139]: Can't find xdg-portal: (null)
Sep 14 12:10:22 fedora wireplumber[2139]: found session bus but no portal
Sep 14 12:10:22 fedora wireplumber[2139]: RTKit error: org.freedesktop.DBus.Error.AccessDenied
Sep 14 12:10:22 fedora wireplumber[2139]: could not make thread 2181 realtime using RTKit: Permission denied
Sep 14 12:10:22 fedora wireplumber[2139]: Failed to set scheduler settings: Operation not permitted
Sep 14 12:10:22 fedora wireplumber[2139]: reserve-device plugin is not connected to D-Bus, disabling device reservation
Sep 14 12:10:22 fedora wireplumber[2139]: SPA handle 'api.libcamera.enum.manager' could not be loaded; is it installed?
Sep 14 12:10:22 fedora wireplumber[2139]: PipeWire's libcamera SPA missing or broken. libcamera not supported.


journalctl is also spammed:
Sep 14 12:29:52 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe
Sep 14 12:29:52 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe
Sep 14 12:29:52 fedora pipewire[2138]: spa.alsa: hw:sofhdadsp: snd_pcm_avail after recover: Broken pipe

alsa.info.sh:
http://alsa-project.org/db/?f=68f2a6f9e9b66a3efe5c5b9b951cfdafee63583d

Thanks for your help!

Comment 1 CFS 2022-09-15 13:58:41 UTC
I have the same issue with F36. Laptop is Inspiron 5490.

Comment 3 CFS 2022-09-15 14:54:51 UTC
The upgrades fixed the problem for me. Thank you!

Comment 4 Fedora Update System 2022-09-15 15:07:47 UTC
FEDORA-2022-3f7822531c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3f7822531c

Comment 5 Fedora Update System 2022-09-15 15:08:16 UTC
FEDORA-2022-df4412a6d3 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-df4412a6d3

Comment 6 Miroslav Lakota 2022-09-15 19:49:39 UTC
I can confirm that installing the version pipewire-0.3.58-1 fixes the issue!

Thank you very much!

Comment 7 Fedora Update System 2022-09-16 02:00:29 UTC
FEDORA-2022-df4412a6d3 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-df4412a6d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-df4412a6d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-16 02:41:10 UTC
FEDORA-2022-3f7822531c has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3f7822531c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3f7822531c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-17 01:40:02 UTC
FEDORA-2022-3f7822531c has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-09-18 00:18:28 UTC
FEDORA-2022-df4412a6d3 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.